Skip to main content
POST
/
v1
/
platform
/
payment-methods
/
card
Add Card
curl --request POST \
  --url https://api.sandbox.finogates.com/v1/platform/payment-methods/card \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pan": "<string>",
  "cardholder_name": "<string>",
  "exp_month": 6,
  "exp_year": 2050,
  "billing_address": {
    "city": "New York",
    "country": "US",
    "line1": "123 Main St",
    "postal_code": "10001",
    "state": "NY"
  },
  "nickname": "My Visa Card"
}
'
{
  "status_code": 123,
  "data": "<unknown>",
  "query_generated_time": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.finogates.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Add a card as a payment method.

user_id
string<uuid>
required

Owner user UUID.

Example:

"b3a9b622-cc63-4d3c-aad6-2d8e29e6f9d4"

pan
string
required

Card PAN (primary account number). Encrypted at rest.

Required string length: 12 - 19
Example:

"4111111111111111"

cardholder_name
string
required

Name on the card.

Maximum string length: 120
Example:

"John Doe"

exp_month
integer
required

Card expiry month (1–12).

Required range: 1 <= x <= 12
Example:

12

exp_year
integer
required

Card expiry year (e.g. 2027).

Required range: 2000 <= x <= 2100
Example:

2027

billing_address
Billing Address · object

Billing address (line1, city, state, postal_code, country).

Example:
{
"city": "New York",
"country": "US",
"line1": "123 Main St",
"postal_code": "10001",
"state": "NY"
}
nickname
string | null

Optional display nickname.

Maximum string length: 120
Example:

"My Visa Card"

Response

Successful Response

Standard response wrapper for single-object responses and errors.

status_code
integer
required

HTTP status code for the response.

data
any
required

Payload or error details.

query_generated_time
integer
required

UTC timestamp (milliseconds since epoch) when response was generated.